######################
#+                  +#
#   星域互联信息(7skun.com)    #
#+                  +#
######################

menu-settings:

  # 菜单的名字
  name: '&1Example menu'

  # 菜单箱子行数,最大6行
  rows: 3

  # 设置打开菜单的命令
  commands:
  - 'menu'

  # 自动刷新图标间隔
  auto-refresh: 5

  # 打开菜单时候的操作
  open-actions:
  - 'tell: &e你打开了菜单'

# 打开菜单物品
  open-with-item:
    material: compass
    left-click: false
    right-click: true


######################
#+                  +#
#       图标设置        #
#+                  +#
######################

#按钮标记名字,切勿重复
spawn-command:
  #物品ID-英文ID拿着物品输入/ITEMINFO可查看
  MATERIAL: enderpearl
  #物品显示格子的位置
  POSITION-X: 1
  POSITION-Y: 1
  #显示的图标名字
  NAME: '&e回城'
  #显示的图标介绍
  LORE:
    - '点我返回主城'
  #点击执行的命令
  ACTIONS:
    - 'spawn'
    #OP身份执行命令
    #- 'op:spawn'
    #后台执行命令
    #- 'console:sudo {player} spawn'
    
  #——保持不关闭选项
  #KEEP-OPEN: true
  #——扣除金币选项
  #PRICE: 50
  #——扣除经验值选项
  #LEVELS: 100
  #——设置显示图标的自定义权限
  #VIEW-PERMISSION: cc.view.customqx
  #——点击需要的自定义权限
  #PERMISSION: chestcommands.customqx
  #——点击自定义权限不足的提示
  #PERMISSION-MESSAGE: '你的权限不足'
  #——需要扣除的物品， 数量
  #REQUIRED-ITEMS:
  #  - 'yellow wool, 30'
  #——显示附加的附魔
  #ENCHANTMENTS:
  #  - durability, 1
  #——自定义物品NBT属性
  #NBT-DATA: '{display: {color: 8910400}}'
  #——显示自定义耐久度
  #DURABILITY: 200
  #——显示的物品堆叠数量
  #AMOUNT: 12
  #——设置头颅材质归属玩家名
  #SKULL-OWNER: '{player}'
  




durability-armor:
  MATERIAL: diamond helmet
  POSITION-X: 2
  POSITION-Y: 1
  NAME: '&aDamaged armor'
  LORE:
    - 'This armor appears damaged.'
  DURABILITY: 200


enchanted-sword:
  MATERIAL: diamond sword
  POSITION-X: 3
  POSITION-Y: 1
  NAME: '&aEnchanted sword'
  LORE:
    - 'This sword has a glowing effects.'
  ENCHANTMENTS:
    - durability, 1


multiple-items:
  MATERIAL: arrow
  POSITION-X: 4
  POSITION-Y: 1
  NAME: '&aSome arrows'
  LORE:
    - 'You can set the amount of items to display.'
  AMOUNT: 5


command-from-console:
  MATERIAL: command block
  POSITION-X: 5
  POSITION-Y: 1
  NAME: '&cRuns command from the console.'
  LORE:
    - 'It broadcasts your name with the command /say.'
  ACTIONS:
    - 'console: say Hello {player}!'


command-as-op:
  MATERIAL: command block
  POSITION-X: 6
  POSITION-Y: 1
  NAME: '&cRuns command as OP.'
  LORE:
    - 'Be careful with this type of commands.'
    - 'It will ignore nearly all the permission checks.'
  ACTIONS:
    - 'op: say Hello world!'


placeholders:
  MATERIAL: water bucket
  POSITION-X: 7
  POSITION-Y: 1
  NAME: '&6Placeholders'
  LORE:
    - 'This icon''s actions contain placeholders'
    - 'that will be replaced when the icon is clicked.'
  ACTIONS:
    - 'tell: &9Online players: &f{online}/{max_players}'
    - 'tell: &9Your name: &f{player}'
    - 'tell: &9The world you are in: &f{world}'
    - 'tell: &9Money: &f{money}'


economy-give:
  MATERIAL: gold ingot
  POSITION-X: 8
  POSITION-Y: 1
  NAME: '&eEconomy & Give action'
  LORE:
    - 'This action will be executed'
    - 'only if you have at least 50$.'
    - 'It gives you a gold ingot.'
    - ''
    - 'Current money: {money}'
  PRICE: 50
  ACTIONS:
    - 'tell: &aYou have paid 50$'
    - 'give: gold ingot'
  KEEP-OPEN: true

economy-take:
  MATERIAL: gold ingot
  POSITION-X: 9
  POSITION-Y: 1
  NAME: '&eEconomy & Required item'
  LORE:
    - 'This icon is the opposite of the previous.'
    - 'It will take you a gold ingot and give you $50.'
    - ''
    - 'Current money: {money}'
  REQUIRED-ITEMS:
    - gold ingot
  ACTIONS:
    - 'tell: &aYou have been paid 50$'
    - 'give-money: 50'
  KEEP-OPEN: true


formatting-codes:
  MATERIAL: paper
  POSITION-X: 1
  POSITION-Y: 2
  NAME: '&dFormatting codes'
  LORE:
    - 'You can use all the formatting codes!'
    - 'Colors: &c#c &a#a &9#9 &e#e &f... ...'
    - 'Random (#k): &kexample'
    - 'Bold (#l): &lexample'
    - 'Strikethrough (#m): &mexample'
    - 'Underline (#n): &nexample'
    - 'Italic (#o): &oexample'


will-not-close:
  MATERIAL: book
  POSITION-X: 2
  POSITION-Y: 2
  NAME: '&2Info'
  LORE:
    - 'The menu will not close'
    - 'when clicking on this icon.'
  KEEP-OPEN: true


chat-message:
  MATERIAL: torch
  POSITION-X: 3
  POSITION-Y: 2
  NAME: '&3Chat message'
  LORE:
    - 'Sends a chat message without commands.'
  ACTIONS:
    - 'tell: This is a simple message, without using commands.'


permission:
  MATERIAL: iron bars
  POSITION-X: 4
  POSITION-Y: 2
  NAME: '&8Permission test'
  LORE:
    - 'To use this icon you need the'
    - 'permission "chestcommands.test".'
    - 'Otherwise, a configurable error'
    - 'message will be displayed.'
  PERMISSION: chestcommands.test
  PERMISSION-MESSAGE: 'You don''t have the correct permission.'
  ACTIONS:
    - 'tell: &a✔ You have the correct permission.'


nbt-tags:
  MATERIAL: leather chestplate
  POSITION-X: 5
  POSITION-Y: 2
  NAME: '&aNBT tags'
  LORE:
    - 'This item was colored using custom NBT tags.'
    - 'All NBT tags valid in Minecraft can be used.'
  NBT-DATA: '{display: {color: 8910400}}'


custom-placeholder:
  MATERIAL: compass
  POSITION-X: 6
  POSITION-Y: 2
  NAME: '{primary_color}Custom placeholders'
  LORE:
    - '{separator}'
    - '{secondary_color}This item contains custom placeholders,'
    - '{secondary_color}defined in custom-placeholders.yml.'
    - ''
    - '{custom_placeholder}'


close-without-actions:
  MATERIAL: redstone lamp
  POSITION-X: 9
  POSITION-Y: 3
  NAME: '&6Close the menu'
  LORE:
    - 'An icon without actions will just close'
    - 'the window when clicked.'
